Last Comment Bug 724456 - nsLineBreaker assumes wrong bool size
: nsLineBreaker assumes wrong bool size
Status: RESOLVED FIXED
:
Product: Core
Classification: Components
Component: Layout: Misc Code (show other bugs)
: Trunk
: PowerPC Mac OS X
: -- normal (vote)
: mozilla13
Assigned To: Cameron Kaiser [:spectre]
:
Mentors:
Depends on:
Blocks:
  Show dependency treegraph
 
Reported: 2012-02-05 20:16 PST by Cameron Kaiser [:spectre]
Modified: 2012-02-07 12:19 PST (History)
1 user (show)
bzbarsky: in‑testsuite-
See Also:
Crash Signature:
(edit)
QA Whiteboard:
Iteration: ---
Points: ---
Has Regression Range: ---
Has STR: ---


Attachments
fix capitalizationState memset() to use sizeof(bool) (961 bytes, patch)
2012-02-05 20:16 PST, Cameron Kaiser [:spectre]
bzbarsky: review+
Details | Diff | Review

Description Cameron Kaiser [:spectre] 2012-02-05 20:16:49 PST
Created attachment 594626 [details] [diff] [review]
fix capitalizationState memset() to use sizeof(bool)

One more from bug 720350. I was mistaken; this one was not fixed.
Comment 1 Boris Zbarsky [:bz] (Out June 25-July 6) 2012-02-05 20:23:51 PST
Comment on attachment 594626 [details] [diff] [review]
fix capitalizationState memset() to use sizeof(bool)

r=me
Comment 2 Cameron Kaiser [:spectre] 2012-02-05 20:44:38 PST
And thank you again.
Comment 3 Mozilla RelEng Bot 2012-02-06 05:04:06 PST
Autoland Patchset:
	Patches: 594626
	Branch: mozilla-central => try
	Destination: http://hg.mozilla.org/try/rev/2040caf00086
Try run started, revision 2040caf00086. To cancel or monitor the job, see: https://tbpl.mozilla.org/?tree=Try&rev=2040caf00086
Comment 4 Boris Zbarsky [:bz] (Out June 25-July 6) 2012-02-06 10:03:00 PST
http://hg.mozilla.org/integration/mozilla-inbound/rev/86dee2f0897b
Comment 5 Mozilla RelEng Bot 2012-02-06 16:30:21 PST
Try run for 2040caf00086 is complete.
Detailed breakdown of the results available here:
    https://tbpl.mozilla.org/?tree=Try&rev=2040caf00086
Results (out of 207 total builds):
    success: 186
    warnings: 21
Builds (or logs if builds failed) available at:
http://ftp.mozilla.org/pub/mozilla.org/firefox/try-builds/autolanduser@mozilla.com-2040caf00086
 Timed out after 06 hours without completing.
Comment 6 Ed Morley [:emorley] 2012-02-07 12:19:31 PST
https://hg.mozilla.org/mozilla-central/rev/86dee2f0897b

Note You need to log in before you can comment on or make changes to this bug.